### Constructor

# Gtk ShortcutActionparse_string

#### Declaration [src]

    GtkShortcutAction*
    gtk_shortcut_action_parse_string (
      const char* string
    )

#### Description [src]

Tries to parse the given string into an action.

On success, the parsed action is returned. When parsing failed, `NULL` is returned.

The accepted strings are:

- `nothing`, for `GtkNothingAction`
- `activate`, for `GtkActivateAction`
- `mnemonic-activate`, for `GtkMnemonicAction`
- `action(NAME)`, for a `GtkNamedAction` for the action named `NAME`
- `signal(NAME)`, for a `GtkSignalAction` for the signal `NAME`

#### Parameters

`string`

  Type: `const char*`

  The string to parse.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkShortcutAction`

A new `GtkShortcutAction`

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.